import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';





const csvUrl = [
  'https://gist.githubusercontent.com/',
  'ManideepChakilam/', // User
  '2c18e924698aa07600f3143b16c11957/', // Id of the Gist
  'raw/052d41571f424cb5af47697240037ba75faea0d4/', // commit
  'mani_ice7.csv', // File name
].join('');

const parseRow = (d) => {
  
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.petal_length)
    .yValue((d) => d.sepal_width)
    .margin({
      top: 20,
      right: 20,
      bottom: 40,
      left: 50,
    })
    .radius(5);

  svg.call(plot);

  const columns = [
    'petal_width',
    'sepal_width',
    'petal_length',
    'sepal_length',
  ];
  let i = 0;
  setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    i++;
    
  }, 2000);
};


main();



